YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class DefaultGridLinesRenderer

Package | com.yahoo.astra.fl.charts.axes
Class | public class DefaultGridLinesRenderer
Inheritance | DefaultGridLinesRenderer fl.core.UIComponent
Implements | IGridLinesRenderer

Renders grid lines associated with a cartesian axis.

Public Properties

| Property | Defined by
--- | --- | ---
|  | axisRenderer : IAxisRenderer The axis renderer from which the grid lines receive their major and minor unit data. | DefaultGridLinesRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | DefaultGridLinesRenderer() Constructor. | DefaultGridLinesRenderer

Protected Methods

| Method | Defined by
--- | --- | ---
|  | drawLines(data:Array, showLines:Boolean, lineWeight:Number, lineColor:uint, fillColors:Array = null, fillAlphas:Array = null):void Draws a set of lines based on AxisData positioning. | DefaultGridLinesRenderer

Property detail

axisRenderer | property

`axisRenderer:IAxisRenderer` [read-write]

The axis renderer from which the grid lines receive their major and minor unit data.

Implementation
`public function get axisRenderer():IAxisRenderer`
`public function set axisRenderer(value:IAxisRenderer):void`
Constructor detail

DefaultGridLinesRenderer | () | constructor

`public function DefaultGridLinesRenderer()`

Constructor.

Method detail

drawLines | () | method

`protected function drawLines(data:Array, showLines:Boolean, lineWeight:Number, lineColor:uint, fillColors:Array = null, fillAlphas:Array = null):void`

Draws a set of lines based on AxisData positioning.

Parameters

| `data:Array`
| `showLines:Boolean`
| `lineWeight:Number`
| `lineColor:uint`
| `fillColors:Array` (default = `null`)``
| `fillAlphas:Array` (default = `null`)``